Description

In plugin development, It is not possible to add the default scope by patching any models.

def self.included(base) # :nodoc:

        base.extend(ClassMethods)

        base.send(:include, InstanceMethods)

        base.class_eval do

           default_scope -> { includes(:table_name) }

....

 The tests fail with Statement Invalid.

IssueNestedSetTest#test_move_a_root_to_child:

ActiveRecord::StatementInvalid: Mysql2::Error: Column 'id' in where clause is ambiguous:

 SELECT MAX(`issues`.`rgt`) FROM `issues` LEFT OUTER JOIN `egs` ON `egs`.`issue_id` = `issues`.`id

`

 WHERE `issues`.`root_id` = 1372 AND `issues`.`parent_id` = 1372 AND (id < 1373)

 I guess, the following is the culprit, issue_nested_set.rb

      def target_lft

        scope_for_max_rgt = self.class.where(:root_id => root_id).where(:parent_id => parent_id)

        if id

          scope_for_max_rgt = scope_for_max_rgt.where("id < ?", id)

 Can you please look into this issue.

Happens in Redmine 3.0.3

Ruby 2.1

History

#1 - 2016-01-20 06:11 - Toshi MARUYAMA

- Description updated

#2 - 2016-01-20 06:13 - Toshi MARUYAMA

- Description updated

#3 - 2016-01-20 06:16 - Toshi MARUYAMA

https://www.google.com/search?q=default_scope+includes+rails4

#4 - 2016-01-20 06:20 - Toshi MARUYAMA

- Status changed from New to Needs feedback

https://www.google.com/search?q=rails4+includes+references

#5 - 2016-01-20 21:18 - Rupesh  J

Thank You very much.
Issue resolved.

#6 - 2016-01-21 04:36 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

Thank you for your feedback.

Powered by TCPDF (www.tcpdf.org)

2025-08-23 2/2

http://www.tcpdf.org

